Subject: Re: [PATCH] net: ethernet: realtek: atp: checkpatch errors and warnings corrected

From: Roberto Medina <[email-masked]>
Date: Tue, 28 Oct 2014 00:04:36 +0100

On 10/27/2014 11:53 PM, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Mon, 27 Oct 2014 18:52:11 -0400 (EDT)
>
>> From: Roberto Medina <[email-masked]>
>> Date: Thu, 23 Oct 2014 19:10:00 +0200
>>
>>> From: Roberto Medina <[email-masked]>
>>>
>>> Several warnings and errors of coding style errors corrected.
>>>
>>> Signed-off-by: Roberto Medina <[email-masked]>
>>
>> Applied, thanks.
>
> Wait, are you serious, you didn't even compile test this change?
>
> For real?
>
> In file included from drivers/net/ethernet/realtek/atp.c:146:0:
> drivers/net/ethernet/realtek/atp.h:79:15: error: expected ‘;’, identifier or ‘(’ before ‘unsigned’
>   static inline unsigned char inbyte(unsigned short port)
>                 ^
> drivers/net/ethernet/realtek/atp.h:79:15: error: ‘inline’ in empty declaration
>

Wow I'm really sorry for that, I did compile my changes, or at least 
that's what I thought when I compiled the directory.

Will submit another patch. Sorry for the inconvenience again.

> Don't even submit changes meant for inclusion if you're not even
> willing to build test them.
>
> And I'm very serious about this.
>